curl --request GET \
--url https://api.fabric.inc/v3/published-products/{id}/variants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/published-products/{id}/variants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/published-products/{id}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"sku": "XP-123345",
"id": "5f7329dfd5288b0011332366",
"itemId": 1682313863,
"attributes": [
{
"id": "5f7329dfd5288b0011332322",
"name": "color",
"value": "blue",
"type": "string"
}
],
"localizedProperties": [
{
"id": "5f7329dfd5288b0011332322",
"name": "color",
"value": "blue",
"type": "string"
}
]
}
],
"offset": 10,
"limit": 10,
"count": 100
}{
"message": "Request was invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request. Unable to find/create product"
}
]
}{
"message": "Request is unauthorized",
"type": "Unauthorized request",
"errors": [
{
"type": "UNAUTHORIZED_ERROR",
"message": "The requester is unauthorized"
}
]
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "NOT_FOUND",
"message": "Provided ID doesn't exist"
}{
"message": "Payload exceeds maximum configured size",
"type": "Payload limit exceeded",
"errors": [
{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "Payload exceeds maximum configured size"
}
]
}{
"message": "Internal Server Error",
"type": "Internal Server Error",
"errors": [
{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}
]
}Get Variants of Published Product by ID
Variants are the different versions of a product with different sizes, colors, or materials. For example, there are 12 variants of a laptop that comes in three sizes (13, 15, and 17 inches) and four colors (red, blue, grey, and white). By adding variants to products, you can offer shoppers more options. This endpoint gets a paginated list of variants of a published product by ID. Note:
1. You can narrow down the search results by specifying offset and limit. When they’re not specified, by default you’ll get up to 10 records.
2. If you don’t have product ID, use the corresponding SKU-based or item ID-based endpoints.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
24-character system-generated product ID.
Query Parameters
Locale name
Maximum number of records per page
20
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
2
Response
OK
Show child attributes
Show child attributes
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
10
Maximum number of records per page
10
Total number of records in the response
100
Was this page helpful?
